<?php
/** "Portfolio" block 
 * 
**/
class AQ_Port_Block_Feed extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Portfolio',

			'size' => 'span12',

			'resizable' => 0,
			'icon' => 'fa-th-large',
			'icon_color' => 'FFF',
			'category' => 'Content',
			'help' => 'This is the block that adds default portfolio block.'
		);
		
		//create the block
		parent::__construct('aq_port_block_feed', $block_options);
	}
	
	function form($instance) {
			
		$defaults = array(
			'title' => '',
			'number_post' => '12',
			'rowsB' => '5',
			'categories_port' => null,
			'port_ajax' => 'false',
			'id' =>'portfolio',
			'show_navigation' => 1
		);
		
		$ajax_options = array(
			'true' => 'True',
			'false' => 'False',
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		
		$port_categories_default = ($temp = get_terms('portfoliocategory')) ? $temp : array();
		$categories_options_default = array();
		$i = 0;
		foreach($port_categories_default as $cat_default) {
			$categories_options_default[$i++] = $cat_default->term_id;
		}	
		
		If(empty($categories_port)){	
			$categories_port = $categories_options_default;
		}		

		$isinarray = true;
		foreach($categories_port as $cat_saved){
			
			if(array_search($cat_saved,$categories_options_default) === false){
					$isinarray = false;
				}
			if($isinarray == false){
				$categories_port = null;
				break; 
			}
			
		}

		if(empty($categories_port)){
			$categories_port = $categories_options_default;
		}
		
		
		$port_categories = ($temp = get_terms('portfoliocategory')) ? $temp : array();
		$categories_options = array();
		foreach($port_categories as $cat) {
			$categories_options[$cat->term_id] = $cat->name;
		}		

		if( function_exists( 'pmc_portBlock' ) ){
			?>
			<p class="description note">
				<?php _e('Use this block to create news feed.', 'pmc-themes') ?>
			</p>	
			<p class="description half">
				<label for="<?php echo $this->get_field_id('port_ajax') ?>">
					Use ajax<br/>
					<?php echo aq_field_select('port_ajax', $block_id, $ajax_options, $port_ajax); ?>
				</label>
			</p>		
			<p class="description half last">
				<label for="<?php echo $this->get_field_id('categories_port') ?>">
				Portfolio Categories<br/>
				<?php echo aq_field_multiselect('categories_port', $block_id, $categories_options, $categories_port); ?>
				</label>
			</p>		
			<p class="description half">
				<label for="<?php echo $this->get_field_id('number_post') ?>">
					Number of portfolio post to show  (5,10,15...)
					<?php echo aq_field_input('number_post', $block_id, $number_post, $size = 'full') ?>
				</label>
			</p>	
			<p class="description half last">
				<label for="<?php echo $this->get_field_id('id') ?>">
					Id for menu
					<?php echo aq_field_input('id', $block_id, $id, $size = 'full') ?>
				</label>
			</p>	
		<p class="description third">
			<label for="<?php echo $this->get_field_id('show_navigation') ?>">
				Show navigation?<br/>
				<?php echo aq_field_checkbox('show_navigation', $block_id, $show_navigation); ?>
			</label>
		</p>				
		<?php
		}
		else {
			echo '<p class="description note">For this block you need to use PremiumCoding themes!</p>';
		}
	}
	
	function block($instance) {
	
		$port_categories_default = ($temp = get_terms('portfoliocategory')) ? $temp : array();
		$categories_options_default = array();
		$i = 0;
		foreach($port_categories_default as $cat_default) {
			$categories_options_default[$i++] = $cat_default->term_id;
		}		
		
		$defaults = array(
			'title' => '',
			'number_post' => '12',
			'rowsB' => '5',
			'categories_port' => null,
			'port_ajax' => 'false',
			'id' =>'portfolio',
			'show_navigation' => 1			
		);
		
		$instance = wp_parse_args($instance, $defaults);	
		extract($instance);
		
		$port_categories_default = ($temp = get_terms('portfoliocategory')) ? $temp : array();
		$categories_options_default = array();
		$i = 0;
		foreach($port_categories_default as $cat_default) {
			$categories_options_default[$i++] = $cat_default->term_id;
		}	
		
		If(empty($categories_port)){	
			$categories_port = $categories_options_default;
		}
		
		$isinarray = true;
		foreach($categories_port as $cat_saved){
			
			if(array_search($cat_saved,$categories_options_default) === false){
					$isinarray = false;
				}
			if($isinarray == false){
				$categories_port = null;
				break; 
			}
			
		}

		if(empty($categories_port)){
			$categories_port = $categories_options_default;
		}
			
		
		if( function_exists( 'pmc_portBlock' ) ){
			pmc_portBlock($title,$number_post,5,$categories_port,$port_ajax,$id,$show_navigation);
			}
	
	}
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}