<?php
/** "Title" block 
 * 
 * 
**/
class AQ_Title_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Title block',
			'size' => 'span3',
			'icon' => 'fa-dot-circle-o',
			'icon_color' => 'FFF',
			'category' => 'Structure',
			'help' => 'Block start is the block where you set the main title of the block..'
		);
		
		//create the block
		parent::__construct('aq_title_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array(
			'title' => '',
			'title_h2' => '',
			'title_color' => '#fff',	
	
		);
		
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		
		
		?>
		<p class="description note">
			<?php _e('Use this block to create title with border.', 'pmc-themes') ?>
		</p>
		<div class="description box">
			<h3>Title settings</h3>
			<label for="<?php echo $this->get_field_id('title_h2') ?>">
				Title
				<?php echo aq_field_input('title_h2', $block_id, $title_h2, $size = 'full') ?>
				<?php echo aq_field_input('title', $block_id, $title_h2, $size = 'full','hidden') ?>
			</label>
			<label for="<?php echo $this->get_field_id('title_color') ?>">
				Title color<br/>
				<?php echo aq_field_color_picker('title_color', $block_id, $title_color, $defaults['title_color']) ?>
			</label>			
			
		</div>		


	
		<?php
		
	}
	
	function block($instance) {
			$defaults = array(
			'title_h2' => '',
		);
		
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		$text  = '';

		if(isset($title_h2) && $title_h2 !=''){
			$text = '<h2 style="color:'.$title_color.'" class="title-block-title">'. $title_h2 .'</h2><div class="title-block-border"></div>';
			
			}
		
		echo $text;
	
}

}