<?php
/** "News" block 
 * 
 * Optional to use horizontal lines/images
**/
class AQ_Title_Border_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Block start',
			'size' => 'span12',
			'icon' => 'fa-dot-circle-o',
			'icon_color' => 'FFF',
			'category' => 'Structure',
			'help' => 'Block start is the block where you set the main title of the block with the line below the title.'
		);
		
		//create the block
		parent::__construct('aq_title_border_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array(
			'title' => '',
			'title_h2' => '',
			'descriptiontext' => '',
			'id' => '',
			'title_color' => '#fff',
			'show_border' => '1',	
			'show_description_on_top' => '0'	
	
		);
		
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		
		
		?>
		<p class="description note">
			<?php _e('Use this block to create title with border.', 'pmc-themes') ?>
		</p>
		<div class="description half box">
			<h3>Title settings</h3>
			<label for="<?php echo $this->get_field_id('title_h2') ?>">
				Title
				<?php echo aq_field_input('title_h2', $block_id, $title_h2, $size = 'full') ?>
				<?php echo aq_field_input('title', $block_id, $title_h2, $size = 'full','hidden') ?>
			</label>
			<label for="<?php echo $this->get_field_id('title_color') ?>">
				Title color<br/>
				<?php echo aq_field_color_picker('title_color', $block_id, $title_color, $defaults['title_color']) ?>
			</label>
			<label for="<?php echo $this->get_field_id('show_border') ?>">				
				<?php echo aq_field_checkbox('show_border', $block_id, $show_border); ?>				
				Show border uder title?			
			</label>			
			
		</div>		
		<div class="description half last box">
			<h3>Other settings</h3>
			<label for="<?php echo $this->get_field_id('descriptiontext') ?>">
				Description
				<?php echo aq_field_input('descriptiontext', $block_id, $descriptiontext, $size = 'full') ?>
			</label>		
			<label for="<?php echo $this->get_field_id('id') ?>">
				Id for menu
				<?php echo aq_field_input('id', $block_id, $id, $size = 'full') ?>
			</label>
			<label for="<?php echo $this->get_field_id('show_description_on_top') ?>">				
				<?php echo aq_field_checkbox('show_description_on_top', $block_id, $show_description_on_top); ?>				
				Show description on top?			
			</label>			
		</div>

	
		<?php
		
	}
	
	function block($instance) {
			$defaults = array(
			'title_h2' => '',
			'descriptiontext' => '',
			'id' => '',
			'show_description_on_top' => '0',
			'show_border' => '1'	
		);
		
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		$title_out = '';
		$showborder = $showbordertext = $text = $id_out = '';

		if(!$show_border){
			$showborder  = 'showborder'; 
			$showbordertext = 'margintitle'; 
			}
		if($id !=''){
			$id_out = 'id="'.$id.'"';
		}
		if($show_description_on_top == 1){
			$text .= '<div class="titletext '.$showbordertext.'">'. do_shortcode(htmlspecialchars_decode($descriptiontext)) .' </div>';
		}
		if(isset($title_h2) && $title_h2 !=''){
			$title_out = '<h2 style="color:'.$title_color.'" class="titleborderh2">'. $title_h2 .'</h2>';}
		$text .= '<div class="border-block" '.$id_out.'>
				<div class="title-block-wrap">'.$title_out;
		if($title_h2){ $text .= '<div class="titleborderOut"><div class="titleborder '.$showborder.'"></div></div>';}
		if(!$show_description_on_top){
			$text .= '<div class="titletext '.$showbordertext.'">'. do_shortcode(htmlspecialchars_decode($descriptiontext)) .' </div>';
		}		
		echo wpautop(do_shortcode(htmlspecialchars_decode($text)));
	
}}