<?php
/** "News" block 
 * 
 * Optional to use horizontal lines/images
**/
class PMC_Woo_Breadcrumb_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Woo Breadcrumb',
			'size' => 'span12',
			'resizable' => 0,
			'icon' => 'fa-th-list',
			'icon_color' => 'FFF',
			'category' => 'Content Ecommerce',
			'help' => 'This is the block that adds Woocommerce breadcrumb to the top section (or any other section if you wish it to be elsewhere).'
		);
		
		//create the block
		parent::__construct('pmc_woo_breadcrumb_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array();
			
		$instance = wp_parse_args($instance, $defaults);	
		extract($instance);	
		if( function_exists( 'pmc_breadcrumb' ) ){
			?>
			<p class="description note">
				<?php _e('Use this block to create breadcrumb for WooCommerce', 'framework') ?>
			</p>
		<?php
		}else {
			echo '<p class="description note">For this block you need to use PremiumCoding themes!</p>';
		}			
	}
	
	function block($instance) {
		if (function_exists( 'is_woocommerce' ) ) { ?>
			<div class = "outerpagewrap">
				<div class="pagewrap">
					<div class="pagecontent">
						<div class="pagecontentContent">
							<p><?php woocommerce_breadcrumb() ?></p>
						</div>
					</div>
				</div>
			</div> 
		<?php }
}
}?>