<?php
/**
 * Aqua Page Builder Config
 *
 * This file handles various configurations
 * of the page builder page
 *
 */
function aq_page_builder_config() {
	$config = array(); //initialise array
	
	/* Page Config */
	$config['menu_title'] = __('PMC Page Builder', 'pmc-themes');
	$config['page_title'] = __('PMC Page Builder', 'pmc-themes');
	$config['page_slug'] = __('aq-page-builder', 'pmc-themes');
	
	/* This holds the contextual help text - the more info, the better.
	 * HTML is of course allowed in all of its glory! */
	$config['contextual_help'] = 
		'<p>' . __('The page builder allows you to create custom page templates which you can later use for your pages.', 'pmc-themes') . '<p>' .
		'<p>' . __('To use the page builder, start by adding a new template. You can drag and drop the blocks on the left into the building area on the right of the screen. Each block has its own unique configuration which you can manually configure to suit your needs', 'pmc-themes') . '<p>' .
	/* Debugging */
	$config['debug'] = false;
	
	return $config;
	
}
function pmc_shortcode_help(){
$help = '<h2>1.Shortcodes</h2>
Opus is full of shortcodes! Inside our custom page builder you can achieve whatever you want, as everything is easy to use, customize and understand. If you imported the demo content you will also get an import of all the Pages with Shortcodes from the live demo (under menu Shortcodes). Below is the list of all those shortcodes with short description and the code.
<h2>1.1.Accordion and Toggles</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-accordion-toggles/

This is a simple accordion shortcode, available in three different styles.

[accordion]

[atab title="First Accordion Title"]Content... [/atab]

[atab title="Second Accordion Title"]Content... [/atab]

[atab title="Third Accordion Title"]Content... [/atab]

[/accordion]

&nbsp;

[tabgroup]

[tab title="First Title"]Content... [/tab]

[tab title="Second Title"]Content... [/tab]

[tab title="Third Title"]Content... [/tab]

[/tabgroup]
<h2></h2>
[toggle title="Toggle title..."]Content... [/toggle]

[toggle title="Toggle title..."]Content... [/toggle]

[toggle title="Toggle title..."]Content... [/toggle]

&nbsp;
<h2>1.2.Alert Boxes</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-alert-boxes/

&nbsp;

Simple alert boxes to notify your visitors about certain events.

[info]Information box...[/info]

[question]Question box...[/question]

[error]Error box...[/error]

[success]Success box...[/success]

&nbsp;
<h2>1.3.Boxed Content</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-boxed-content/

&nbsp;

Sometimes you need content to stand out a bit more and that\'s when Content Boxes come in handy.

&nbsp;

[pmc_box background_color="#DF5148" border_color="#DF5148" text_color="#ffffff" ]Content... [/pmc_box]

&nbsp;

&nbsp;
<h2>1.4.Columns</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-columns/

&nbsp;

Columns can be very important when it comes to content presentation. You have a lot of possibilites, from 2, 3, 4 and 5 columns to combinations of different widths.

[half]

Content...

[/half]

[half_last]

Content...

[/half_last]

&nbsp;

All other shortcodes work in the same principle:

&nbsp;
<ul>
	<li>one_third - one_third_last</li>
	<li>one_fourth - one_fourth_last</li>
	<li>one_fifth - one_fifth_last</li>
</ul>
&nbsp;

Other possible combinations are:

&nbsp;
<ul>
	<li>one_fourth - three_fourths_last</li>
	<li>one_third - two_thirds_last</li>
</ul>
&nbsp;
<h2>1.5.Buttons</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-buttons/

Buttons are a very useful UI element for any Theme. We have prepared several different variations for a better feeling.
<ul>
	<li>[button_icon link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" text_color="#fff" icon="fa-link" ]Read more link Button[/button_icon]</li>
	<li>[button_icon link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" text_color="#fff" icon="fa-spinner fa-spin" ]SPINNING BUTTON[/button_icon]</li>
	<li>[button_round link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" text_color="#fff" ]VIEW MORE[/button_round]</li>
	<li>[button_simple link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" text_color="#fff" ]DARK RED BUTTON[/button_simple]</li>
	<li>[button_social link="https://twitter.com/premiumcoding" background_color="#32CCFE" border_color="#18ACDC" text-color="#fff" icon="fa-twitter" ]Follow us on Twitter[/button_social]</li>
	<li>[button_simple_double link="http://premiumcoding.com" background_color_double="#C53D35" background_color="#DF5148" text_color="#fff" ]Double simple button[/button_simple_double]</li>
	<li>[button_icon_double link="http://premiumcoding.com" background_color_double="#C53D35" background_color="#DF5148" text_color="#fff" icon="fa-picture-o" ][/button_icon_double]</li>
</ul>
Buttons can be learned much easier by checking our Live Demo or if you import the demo content. Above are examples by type (one for each type of buttons).

&nbsp;
<h2>1.6.Count Blocks</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-count-blocks/

&nbsp;

Count Blocks present simple content in a more creative and playful way. Below is the shortcode for the Count Block.

&nbsp;

&nbsp;

[count_block background_color="#fff" text_color="#2a2b2c" icon="fa-clock-o" number="365" ]DAYS TO MAKE IT[/count_block]

&nbsp;
<h2>1.7.Google Maps</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-google-maps/

&nbsp;

Google Maps can be a very important part of your website. You can set width, height, zoom, custom pin (from your image) and map style.

&nbsp;

[google_map zoom="12" width="780" height="400" address="Slovenia, Ljubljana" bounce="false" image=" google-map-pin1.png"][/google_map]

&nbsp;

<strong>Available Map Styles</strong>

&nbsp;
<ul>
	<li>greyscale</li>
	<li>blue</li>
	<li>bubbly</li>
	<li>gowalla</li>
</ul>
&nbsp;
<h2>1.8.Iconography</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-iconography/

&nbsp;

Icons are awesome and use of them on website always animates the site a bit. We are proud to announce that with our shortcodes you have access to all 369 icons from Font Awesome. All icons come in 3 different sizes (Small, Medium and Big) and you choose the color directly in the shortcode for each icon individually, which means you can have unlimited color schemes.

&nbsp;
<ul>
	<li>[pmc_icon link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" icon="fa-coffee" size="medium"][/pmc_icon]</li>
	<li>[pmc_icon link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" icon="fa-pencil" size="big"][/pmc_icon]</li>
	<li>[pmc_icon link="http://premiumcoding.com" background_color="#DF5148" border_color="#C53D35" icon="fa-microphone" size="small"][/pmc_icon]</li>
</ul>
&nbsp;

You can set link, background color, border color, size and icon from <a href="http://fortawesome.github.io/Font-Awesome/icons/">Font Awesome</a>.
<h2>1.9.Images and Videos</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-images-and-videos/

&nbsp;

Animated images add some motion on your website. You can set the image to appear from left, right, top and bottom.

&nbsp;
<ul>
	<li>[pmc_image link="http://premiumcoding.com" image="image -1.jpg" icon="fa-gear" animated="fadeInLeft" ]</li>
</ul>
&nbsp;

&nbsp;
<h2>1.10.Lists</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-lists/

&nbsp;

Normal bullets for lists can be boring and if you need something more creative, then you can choose between 12 custom bullets for lists.

[list_link]
<ul>
	<li>list link item...</li>
</ul>
[/list_link]

&nbsp;

<strong>List of all bullets</strong>

<ul>
	<li>list_image</li>
	<li>list_link</li>
	<li>list_star</li>
	<li>list_settings</li>
	<li>list_ribbon</li>
	<li>list_plus</li>
	<li>list_comment</li>
	<li>list_arrow</li>
	<li>list_circle</li>
	<li>list_arrow_point</li>
	<li>list_tick</li>
</ul>
&nbsp;

&nbsp;
<h2>1.11.Premium Image Boxes</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-premium-image-boxes/

&nbsp;

Premium Image Boxes are containers for images that reveal title and text on hover. They are meant to add extra creativity to the Theme if you need it. There are four different directions into which the image is able to "travel".

&nbsp;

[image_square_1 link="http://premiumcoding.com" image="image -1.jpg" border_color_1="#000" animation="bottom_to_top" title="HEADING" ]Content... [/image_square_1]

&nbsp;

You can set link, image, border color, animation direction, heading and content. You can choose between following animations:

&nbsp;
<ul>
	<li>bottom_top_top</li>
	<li>top_to_bottom</li>
	<li>left_to_right</li>
	<li>right_to_left</li>
</ul>
<h2>1.12.Premium Rotating Circles</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-premium-rotating-circles/

Premium Rotating Circles are circled containers for images that add extra creativity to the Theme if you need it. Be sure to add two different border colors for the effect.

[image_circle_1 link="http://premiumcoding.com" image=" image- 1.jpg" border_color_1="#E74C3C" border_color_2="#333" title="HEADING" ]Content...[/image_circle_1]

&nbsp;
<h2>1.13.Pricing Tables</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-pricing-tables/

&nbsp;

Pricing tables can be an important part of the website for many Businesses. We added a few different variations. As you can notice from the shortcode below you can set different background colors for each line which makes the tabels very customizable.

[<strong>pricing_tabels</strong> width="33.3%" highlighted="false" price="$49.99" price_title="per year" background_color="#DF5148" title="STARTING PACKAGE" button="SIGN UP" button_link="http://premiumcoding.com"]
[<strong>pricing_options background_color</strong>="#DF5148" ]10GB Disk Space[/<strong>pricing_options</strong>]
[<strong>pricing_options background_color</strong>="#DF5148" ]200GB Bandwidth[/<strong>pricing_options</strong>]
[<strong>pricing_options background_color</strong>="#DF5148" ]20 Domains[/<strong>pricing_options</strong>]

[<strong>pricing_options background_color</strong>="#DF5148" ]Free Support[/<strong>pricing_options</strong>]

[<strong>pricing_options background_color</strong>="#DF5148" ]Unlimited Email Accoun[/<strong>pricing_options</strong>]
[/<strong>pricing_tabels</strong>]

&nbsp;
<h2>1.14.Progress Bars</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-progress-bars/

&nbsp;

Progress bars are a good way to display your skills or what is the completion status of certain project.

[progressbar progress=60 color=#DF5148]Illustration Making[/progressbar]

&nbsp;
<h2>1.15.Quotes</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-progress-bars/

Quotes are parts of text that are distinguished from other content and are used as quotations from visitors, buyers, etc.

&nbsp;

[pmc_quote border_color="#ECF0F1"]Content...

John Doe, CEO PremiumCoding

[/pmc_quote]

&nbsp;
<h2>1.16.Skills Charts</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-skills-charts/

&nbsp;

They are used to display the knowledge of certain skills or to display progress on projects or other statuses.

&nbsp;

[pmc_progress_circle progress="88" background_color="#2a2b2c" progress_border="#DF5148" border_color="#ddd" radius="100"]ILLUSTRATIONS[/pmc_progress_circle]

&nbsp;
<h2>1.17.Videos</h2>
<strong>LINK:</strong> http://opus.premiumcoding.com/shortcodes-videos/

&nbsp;

Adding videos is simple, just add the iframe code in Text editor and you are done. Just be sure to add this code in HTML mode of your post editor.

&nbsp;

VIMEO

&nbsp;

&lt;iframe src="//player.vimeo.com/video/42327250" width="780" height="438" frameborder="0" allowfullscreen="allowfullscreen"&gt;&lt;/iframe&gt;

&nbsp;

YOUTUBE

&lt;iframe src="//www.youtube.com/embed/CjQ2jGUNSck" width="780" height="586" frameborder="0" allowfullscreen="allowfullscreen"&gt;&lt;/iframe&gt;


&nbsp;';
return $help;
}
function gogole_style($style){
switch($style){
	case 'blue':
		$style= '[{"featureType":"water","stylers":[{"color":"#46bcec"},{"visibility":"on"}]},{"featureType":"landscape","stylers":[{"color":"#f2f2f2"}]},{"featureType":"road","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road.highway","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"transit","stylers":[{"visibility":"off"}]},{"featureType":"poi","stylers":[{"visibility":"off"}]}]';
		break;
	case 'grayscale':
		$style= '[{"featureType":"landscape","stylers":[{"saturation":-100},{"lightness":65},{"visibility":"on"}]},{"featureType":"poi","stylers":[{"saturation":-100},{"lightness":51},{"visibility":"simplified"}]},{"featureType":"road.highway","stylers":[{"saturation":-100},{"visibility":"simplified"}]},{"featureType":"road.arterial","stylers":[{"saturation":-100},{"lightness":30},{"visibility":"on"}]},{"featureType":"road.local","stylers":[{"saturation":-100},{"lightness":40},{"visibility":"on"}]},{"featureType":"transit","stylers":[{"saturation":-100},{"visibility":"simplified"}]},{"featureType":"administrative.province","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"labels","stylers":[{"visibility":"on"},{"lightness":-25},{"saturation":-100}]},{"featureType":"water","elementType":"geometry","stylers":[{"hue":"#ffff00"},{"lightness":-25},{"saturation":-97}]}]';
		break;
	case 'bubbly':
		$style= '[{"featureType":"water","stylers":[{"color":"#19a0d8"}]},{"featureType":"administrative","elementType":"labels.text.stroke","stylers":[{"color":"#ffffff"},{"weight":6}]},{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#e85113"}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#efe9e4"},{"lightness":-40}]},{"featureType":"road.arterial","elementType":"geometry.stroke","stylers":[{"color":"#efe9e4"},{"lightness":-20}]},{"featureType":"road","elementType":"labels.text.stroke","stylers":[{"lightness":100}]},{"featureType":"road","elementType":"labels.text.fill","stylers":[{"lightness":-100}]},{"featureType":"road.highway","elementType":"labels.icon"},{"featureType":"landscape","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"landscape","stylers":[{"lightness":20},{"color":"#efe9e4"}]},{"featureType":"landscape.man_made","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"labels.text.stroke","stylers":[{"lightness":100}]},{"featureType":"water","elementType":"labels.text.fill","stylers":[{"lightness":-100}]},{"featureType":"poi","elementType":"labels.text.fill","stylers":[{"hue":"#11ff00"}]},{"featureType":"poi","elementType":"labels.text.stroke","stylers":[{"lightness":100}]},{"featureType":"poi","elementType":"labels.icon","stylers":[{"hue":"#4cff00"},{"saturation":58}]},{"featureType":"poi","elementType":"geometry","stylers":[{"visibility":"on"},{"color":"#f0e4d3"}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#efe9e4"},{"lightness":-25}]},{"featureType":"road.arterial","elementType":"geometry.fill","stylers":[{"color":"#efe9e4"},{"lightness":-10}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"simplified"}]}]';
		break;
	case 'gowalla':
		$style= '[{"featureType":"road","elementType":"labels","stylers":[{"visibility":"simplified"},{"lightness":20}]},{"featureType":"administrative.land_parcel","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"landscape.man_made","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"labels","stylers":[{"visibility":"simplified"}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"visibility":"simplified"}]},{"featureType":"road.highway","elementType":"labels","stylers":[{"visibility":"simplified"}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road.arterial","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"hue":"#a1cdfc"},{"saturation":30},{"lightness":49}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"hue":"#f49935"}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"hue":"#fad959"}]}]';
		break;
	default:
		$style = '';
	}
return $style;
}

